Request plugin URL
curl --request POST \
--url https://api.smokeball.com/plugins/{pluginId}/url \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"matterId": "0c5a2296-9e02-4c58-bd14-b7467d4c9bcb",
"additionalData": {}
}
'import requests
url = "https://api.smokeball.com/plugins/{pluginId}/url"
payload = {
"matterId": "0c5a2296-9e02-4c58-bd14-b7467d4c9bcb",
"additionalData": {}
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({matterId: '0c5a2296-9e02-4c58-bd14-b7467d4c9bcb', additionalData: {}})
};
fetch('https://api.smokeball.com/plugins/{pluginId}/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Plugins
Request plugin URL
Requests a secure URL from the pluginβs endpoint for invoking the plugin. Accepts additional key/value pairs to pass to the plugin endpoint. Reserved keys (AccountId, UserId, UserEmail, MatterId, AppId, EmbedToken) cannot be included in AdditionalData.
POST
/
plugins
/
{pluginId}
/
url
Request plugin URL
Path Parameters
Body
application/json-patch+jsonapplication/jsonapplication/*+json
The matter id associated with the request, if applicable.
Example:
"0c5a2296-9e02-4c58-bd14-b7467d4c9bcb"
Additional key/value pairs to pass to the plugin endpoint. Reserved keys (AccountId, UserId, UserEmail, MatterId) will be rejected.
Show child attributes
Show child attributes
Response
When request is successful. Returns the plugin URL.
The response is of type string.
βI